<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number52</title>
</head>

<body>
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.52:</b> Write a JavaScript program to convert the letters of a given string in alphabetical order.</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="text" id="txt" placeholder="Enter The Number You Want to Convert" style="width: 250px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate() {
		  var a = document.getElementById('txt').value;
		  var sor = a.split('').sort().join('');
		  document.getElementById('demo').innerHTML=
			  "As alphabetical order the result is: <br>" + sor;
	  }
	</script>
	
</body>
</html>
